---
title: "✨ PSCredentialStore 1.1.0 is released"
date: 2022-09-21T10:14:18+02:00
draft: false

categories: ['Projects']
tags: ['PSCredentialStore']

# lastmod: 2022-09-21T10:14:18+02:00
# showDateUpdated: true

# custom overrides for pages
# showDate: false
# showAuthor: false
# showWordCount: false
# showReadingTime: false
# showTableOfContents: false
# showTaxonomies: true
# showEdit: false
# sharingLinks: [null]
---

<p align="right">
  <img src="https://forthebadge.com/images/badges/built-with-love.svg">
</p>

Today I'm proud to present the release of PSCredentialStore version [1.1.0](https://www.powershellgallery.com/packages/PSCredentialStore/1.1.0).

This version was mainly focused on updating the build pipeline and codebase.
So let me explain the changes in detail:

- 🧰 Reworked the build pipeline and replace Travis, AppVeyor by Drone.IO.
- 🧰 Updated the PowerShell style to the lates community standards.
- 🧰 Migrated from Github to [self hosted Gitea](https://gitea.ocram85.com/OCram85/PSCredentialStore).
- 🧰 Migrated to self hosted Drone and Woodpecker CI.
- 🧰 Updated Pester unit tests to Pester5+ syntax.
- 💣 Changed from MIT to GNU AGPLv3 license.
- 🧰 Removed the optional dependency helper.
- 📦 Updated embedded OpenSSL (LibreSSL) files to version 3.5.3.
  - Started building and deploying the LibreSSL windows portable version on Github: https://github.com/OCram85/libressl-portable.
- 🧰 Added gitea project template files for issues and pull requests.
- 🤖 Implemented [DroneHelper](https://gitea.ocram85.com/OCram85/DroneHelper) base Drone pipeline.

Additionally we fixed some issues and added new connection types:

- 🌟 Added CiscoUCSCentral connection type
- 🐛 Fixed `Test-CredentialStoreItem` output
- 🐛 Fixed CiscoUCS connection

You can find the PSCredential store at [PowerShell Gallery](https://www.powershellgallery.com/packages/PSCredentialStore)
and [gitea.ocram85.com](https://gitea.ocram85.com/OCram85/PSCredentialStore/releases).

Feel free to install or upgrade to the latest version with the following command.

```powershell
Install-Module -Name 'PSCredentialStore' -Force
```

![forthebadge](https://forthebadge.com/images/badges/contains-17-coffee-cups.svg)
